summaryrefslogtreecommitdiff
path: root/libo_git_from_tar.sh
diff options
context:
space:
mode:
authorThorsten Behrens <tbehrens@novell.com>2011-08-19 14:44:27 +0200
committerThorsten Behrens <tbehrens@novell.com>2011-08-19 14:44:27 +0200
commit28a57f2c8fbc5613bd7b09bfbf76ecd02f2a8cb5 (patch)
tree4866b9cdcab8b4741171ef874be0cb4f1dcc2fa4 /libo_git_from_tar.sh
parent2d8e93258fce4c7eef472bc43b4959079c405b98 (diff)
Changed tar option position, fixed precedence issues
* moved strip-components in front of -xf * sequence of || && seems to confuse bash wrt precedence, give hint to shell via brackets
Diffstat (limited to 'libo_git_from_tar.sh')
-rwxr-xr-xlibo_git_from_tar.sh10
1 files changed, 5 insertions, 5 deletions
diff --git a/libo_git_from_tar.sh b/libo_git_from_tar.sh
index 3b0a9d5e..60b87ddb 100755
--- a/libo_git_from_tar.sh
+++ b/libo_git_from_tar.sh
@@ -113,7 +113,7 @@ local repo="$1"
do_action "Remove the current $repo repo" "removing ./clone/$repo" rm -fr ./clone/$repo
fi
do_action "unpack the $repo tar.bz2 file" "unpacking the $repo tar.bz2 file" tar -xf ${temp_dir}/libreoffice-$repo.tar.bz2 -C clone
- $active && pushd ./clone/$repo > /dev/null || $active && die "cannot cd to clone/$repo"
+ $active && pushd ./clone/$repo > /dev/null || ( $active && die "cannot cd to clone/$repo" )
do_action "restore the working view of the $repo repo" "restoring the working view of $repo" git reset --hard
$active popd > /dev/null
do_action "re-create the links in core for $repo if needed" "" relink $repo
@@ -174,13 +174,13 @@ fi
if $do_core ; then
do_action "Remove any old copy of core tar.bz2 file, if any" "removing ${temp_dir}/libreoffice-core.tar.bz2" rm -f ${temp_dir}/libreoffice-core.tar.bz2
do_action "Download the core repo tar.bz2 file" "downloading package for the core repo" wget http://dev-www.libreoffice.org/bundles/libreoffice-core.tar.bz2 -P ${temp_dir}
- $active && mkdir ${core_path?} || $active && die "cannot create the directory ${core_path}"
- $active && pushd ${core_path?} > /dev/null || $active && die "cannot cd to ${core_path?}"
- do_action "Unpack the core repo tar.bz2 file to ${core_path}" "unpacking the core tar.bz2 file" tar -xf --strip-components=1 ${temp_dir}/libreoffice-$repo.tar.bz2
+ $active && mkdir ${core_path?} || ( $active && die "cannot create the directory ${core_path}" )
+ $active && pushd ${core_path?} > /dev/null || ( $active && die "cannot cd to ${core_path?}" )
+ do_action "Unpack the core repo tar.bz2 file to ${core_path}" "unpacking the core tar.bz2 file" tar --strip-components=1 -xf ${temp_dir}/libreoffice-core.tar.bz2
$active && mkdir clone
do_action "Restore the working view of the core repo" "restoring the working view of core" git reset --hard
else
- $active && pushd ${core_path?} > /dev/null || $active && die "cannot cd to ${core_path?}"
+ $active && pushd ${core_path?} > /dev/null || ( $active && die "cannot cd to ${core_path?}" )
fi
$do_translations && process_child_repo translations